﻿<# ---------------- E-Mail settings ----------------- #>

$smtpServer = "mail.server.net"                                <#This is your SMPT outgoing server#>
$smtpFrom = "from@server.net"                                  <#This is your from mail address#>
$smtpTo = "destination@server.net"                             <#This is your destination E-Mail address#>
$messageSubject = "Hyper-V Replica Napake"

<# ---------------- HTML Format settings ----------------- #>

$style = "<style>body{font-family: Arial; font-size: 10pt;}"
$style = $style + "TABLE{border: 1px solid black; border-collapse: collapse;}"
$style = $style + "TH{border: 1px solid black; background: #dddddd; padding: 5px; }"
$style = $style + "TD{border: 1px solid black; padding: 5px; }"
$style = $style + "</style>" 

<# ---------------- Finding errors on Hyper-V replicas ----------------- #>

$Napaka = Measure-VMReplication | where {!($_.ReplicationHealth -like "*Normal*")}

<# ----------------Sending E-Mail if exist an error ----------------- #>

$message = New-Object System.Net.Mail.MailMessage $smtpfrom, $smtpto
$message.Subject = $messageSubject

$message.IsBodyHTML = $true

$message.Body = $Napaka | Select-Object Name, Health, State, AvgLatency, AvgReplSize | ConvertTo-Html -Head $style

$smtp = New-Object Net.Mail.SmtpClient($smtpServer)
If ($Napaka.Count -gt 0)
       {
       $smtp.Send($message)
       } 
